repo/gentoo:master commit in: dev-python/urwid/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786777647.74ea73bad130d49ebd7e4f31287a7ead08dff6a5.mgorny@gentoo>
commit:     74ea73bad130d49ebd7e4f31287a7ead08dff6a5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 05:44:32 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 07:07:27 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=74ea73ba

dev-python/urwid: Bump to 4.0.9

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/urwid/Manifest           |  2 ++
 dev-python/urwid/urwid-4.0.9.ebuild | 49 +++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/urwid/Manifest b/dev-python/urwid/Manifest
index 5afa41dd1148..228017dd4968 100644
--- a/dev-python/urwid/Manifest
+++ b/dev-python/urwid/Manifest
@@ -6,3 +6,5 @@ DIST urwid-4.0.6.tar.gz 877110 BLAKE2B 0020370cd25b856fe279c30e85a2802bf81fb2a88
 DIST urwid-4.0.6.tar.gz.provenance 9822 BLAKE2B 05f3b4007bd4ddd7aa5ee57a542c3e99472bb7be489b0a493fe31e84996bfecf4783021f565e9ed39d29bd390d46487036e5e846862c2092443776a39cb2c80a SHA512 b70df2f633d82279d9e8b9a7b003693b37a32673a3aca8ced17bb9f83a924cd44be1918fa6e7d2683ab53c0be822eaf029e92e952bb9f1d27bd102934336e1a4
 DIST urwid-4.0.8.tar.gz 878866 BLAKE2B 600a233caba49d439157c06e3d3af6febc1de49e86fabe2ef2ef8ffe54cd9ac4e455218b04e5bf86fb4c2e2acbacb1ef2d24032cd3d509b9c8d84d7965d736e2 SHA512 4cea0cb07a65b4b8ef274e5407f37de432130ac2c3963e21e3545a09b2566d0c552e281a706f59106f369cadf7139013aeaa81c54748e1c3df13647b45008293
 DIST urwid-4.0.8.tar.gz.provenance 9677 BLAKE2B 1d1aa1e350d79788b6ac046c286fb69b3e1bfb1cc602cc407b745b3b0e2cb33bbd841dd30b42217c4bbb91a2c1afc743688596b060de6b5227b567bea506c045 SHA512 7640bf072eab67527a7afef0330cada67745b6e7c29d889649074b7f4fad951dbdd75015eb273f1b2ad6cf05025da1ac696554f19b09d5588279010830cb139b
+DIST urwid-4.0.9.tar.gz 880825 BLAKE2B 466b04d033482a9bc09f628bee147a8f1a481d5d3663485b7ad758892618b824defd1d69800924c11ce14e6f129916ca79217bc10f6ac1ece7139303dec1ba03 SHA512 c53d4117798c91c6bc500f1de5358bcd629655b1086985ea8262795a4ece4edd061f7937f2b4b2629ab9147b5f570d1f8b0a5a961a60f49d9961514ab2245950
+DIST urwid-4.0.9.tar.gz.provenance 9679 BLAKE2B 8b53a0a266492cbc0bf19d8d6a7f0fff0e9935ca0c19f82c13494266d46d8cb2654e822c4003843a18b3acab5e0e1c598faadd69ac401e3fab2b4bbf4e1153bc SHA512 c76ef14f4023eec53998bf55dc91dd8ce06a3c9dd5c82b3437ecdde86644415e45a4084cfe2773a1329724489bf783debeddf02cf402e209f054c43bf3f1080c

diff --git a/dev-python/urwid/urwid-4.0.9.ebuild b/dev-python/urwid/urwid-4.0.9.ebuild
new file mode 100644
index 000000000000..01bd0f8d2ec1
--- /dev/null
+++ b/dev-python/urwid/urwid-4.0.9.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/urwid/urwid
+PYTHON_COMPAT=( python3_{12..15} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Curses-based user interface library for Python"
+HOMEPAGE="
+	https://urwid.org/
+	https://pypi.org/project/urwid/
+	https://github.com/urwid/urwid/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="examples"
+
+RDEPEND="
+	dev-python/typing-extensions[${PYTHON_USEDEP}]
+	>=dev-python/wcwidth-0.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+	distutils-r1_src_prepare
+
+	sed -i -e 's:--cov=urwid::' pyproject.toml || die
+}
+
+python_install_all() {
+	use examples && dodoc -r examples
+	distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+	optfeature "Trio event loop" "dev-python/trio"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.